(function($){
/**
 * Core behavior for superslide.
 */
Drupal.behaviors.superslide = {
  attach: function (context, settings) {
    //Current calling code to initialize
    $(".params").each(function(ind){
      $(this).find(".curJsCode").eq(ind).html(getJsCode(ind));
      var srcStr="";

      var iframe = $(this).closest(".demoBox").find("iframe");
      var selects = $(this).closest(".params").find("select");

      selects.each(function(){
        srcStr += "&"+$(this).val();
      });
      iframe.attr("src",iframe.attr("src").split('&')[0]+srcStr);
    });

    //Toggle switch to a different effect parameter called
    $(".params select").change(function(){
      var srcStr="";
      var ind=$(".demoBox").index( $(this).closest(".demoBox") );

      var iframe = $(this).closest(".demoBox").find("iframe");
      var selects = $(this).closest(".params").find("select");

      selects.each(function(){
        srcStr += "&"+$(this).val();
      });
      iframe.attr("src",iframe.attr("src").split('&')[0]+srcStr);

      $(".curJsCode").eq(ind).html(getJsCode(ind));
    });

    //Current calling code
    function getJsCode( ind ){
      var curJsCode="";
      var $cur = $(".curJsCode").eq(ind);

      $(".params").eq(ind).find("select").each(function(){
        if( $("option",this).index( $("option:selected",this) ) !=0 || $("option",this).attr("class")=="show")
        {
          var tempVal = $(this).attr("rel")=="string"?('"'+$(this).val()+'"'):$(this).val();
          curJsCode+= "," + $(this).attr("name")+":"+tempVal;
        }
      });
      if(ind==0) curJsCode = curJsCode.substring(1);
      $cur.find("i").html(curJsCode);
      curJsCode = $cur.html();

      return curJsCode;
    }
  }
};

})(jQuery)

