<?php
/**
 * @file
 * Provide views data and handlers.
 */

/**
 * Implements hook_views_plugins().
 */
function superslide_views_plugins() {
  $style_types = array();
  $row_types = array();

  $all_types = superslide_types_list_all();
  foreach($all_types as $key => $type){
    $style_types[$key.'_plugin'] = array(
      'title' => $type['name'],
      'path' => $type['views_plugin']['path'],
      'handler' => $type['views_plugin']['style_handler'],
      'parent' => 'default',
      'theme' => $type['views_plugin']['style_theme'],
      'theme path' => $type['views_plugin']['theme path'],
      'theme file' => $type['views_plugin']['theme file'],
      'uses row plugin' => $type['views_plugin']['uses row plugin'],
      'uses grouping' => $type['views_plugin']['uses grouping'],
      'uses options' => $type['views_plugin']['uses style options'],
      'type' => 'normal',
    );
    $row_types[$key.'_plugin'] = array(
      'title' => $type['name'].': Fields',
      'path' => $type['views_plugin']['path'],
      'handler' => $type['views_plugin']['row_handler'],
      'theme' => $type['views_plugin']['row_theme'],
      'theme path' => $type['views_plugin']['theme path'],
      'theme file' => $type['views_plugin']['theme file'],
      'uses fields' => $type['views_plugin']['uses fields'],
      'uses options' => $type['views_plugin']['uses row options'],
      'type' => 'normal',
    );
  }

  return array(
    'style' => $style_types,
    'row' => $row_types,
  );
}
