<?php
/**
 * @file views-bootstrap-thumbnail-plugin-style.tpl.php
 * Default simple view template to display Bootstrap Thumbnails.
 *
 * - $rows contains a nested array of rows. Each row contains an array of
 *   columns.
 * - $column_type contains a number (default Bootstrap grid system column type).
 *
 * @ingroup views_templates
 */
?>
<div id="superslideBox" class="superslideBox">
  <?php foreach ($items as $key => $row): ?>
    <?php if (!empty($titles[$key])): ?>
      <h3 class="on"><em></em><?php print $titles[$key] ?></h3>
    <?php endif; ?>
    <ul>  
      <?php print $row; ?>
    </ul>
  <?php endforeach ?>
</div>
