<?php
/**
 * @file views-bootstrap-thumbnail-plugin-style.tpl.php
 * Default simple view template to display Bootstrap Thumbnails.
 *
 * - $rows contains a nested array of rows. Each row contains an array of
 *   columns.
 * - $column_type contains a number (default Bootstrap grid system column type).
 *
 * @ingroup views_templates
 */
?>
<div id="superslideBox" class="superslideBox">
  <div class="hd">
    <a class="next"></a>
    <ul></ul>
    <a class="prev"></a>
    <span class="pageState"></span>
  </div>
  <div class="bd">
    <ul class="picList">
    <?php foreach ($items as $row): ?>
      <li>
        <?php print $row; ?>
      </li>
    <?php endforeach ?>      
    </ul>
  </div>
</div>

