<?php
/**
 * @file views-bootstrap-thumbnail-plugin-style.tpl.php
 * Default simple view template to display Bootstrap Thumbnails.
 *
 * - $rows contains a nested array of rows. Each row contains an array of
 *   columns.
 * - $column_type contains a number (default Bootstrap grid system column type).
 *
 * @ingroup views_templates
 */
?>
<div id="superslideBox" class="superslideBox">
	<div class="hd">
		<ul>
      <?php for($i=1;$i<=count($items);$i++): ?>
          <li><?php print $i; ?></li>
      <?php endfor ?>
    </ul>
	</div>
	<div class="bd">
		<ul>
      <?php foreach ($items as $row): ?>
          <?php print $row; ?>
      <?php endforeach ?>			
		</ul>
	</div>

	<!-- Here is the prev / next button code, if you don't need just delete it -->
	<a class="prev" href="javascript:void(0)"></a>
	<a class="next" href="javascript:void(0)"></a>

</div>
