<?php
/**
 * @file views-bootstrap-thumbnail-plugin-style.tpl.php
 * Default simple view template to display Bootstrap Thumbnails.
 *
 * - $rows contains a nested array of rows. Each row contains an array of
 *   columns.
 * - $column_type contains a number (default Bootstrap grid system column type).
 *
 * @ingroup views_templates
 */
?>
<div id="superslideBox" class="superslideBox">
  <div class="hd">
    <!-- Here is the prev / next button code, if you don't need just delete it -->
    <span class="arrow"><a class="next"></a><a class="prev"></a></span>
    <ul>
      <?php foreach ($tabs as $key => $tab): ?>
       <li>
        <?php print $tab ?>
       </li>
      <?php endforeach ?>
    </ul>
  </div>
  <div class="bd">
    <?php foreach ($items as $key => $row): ?>
      <ul>
        <?php print $row ?>
      </ul>
    <?php endforeach ?>
  </div>
</div>
